Subject: Re: git newbie problems

From: Han-Wen Nienhuys <[email-masked]>
Date: Wed, 06 Dec 2006 11:21:53 +0100

Jakub Narebski escreveu:

> I don't know if git allows to pull into dirty tree with impunity. If I
> remeber correctly Cogito (alternate UI for git) allows this[*1*], there is
> currently work on this in git (but it is not as far as I remember in
> git 1.4.4.1). So another possibility is induced by CVS "update then commit"
> mentality pulling changes _before_ commiting changes.

it is quite possibly a side-effect of cvs-habits. Note that in the beginning
I have wrestled to make git update the HEAD , eg. trying --update-head-ok

--